# Markmix: train markov generator with both little brother and 1984
#          see what comes out
import markov

lilbro = open("littlebrother.txt", "r")
bigbro = open("1984.txt", "r")
o = open("markmix-novel.txt", "w")

class Chunk():
    def __init__(self, txtfile):
        self.text = txtfile.read()

c1 = Chunk(lilbro)
c2 = Chunk(bigbro)
chunks = [c1, c2]

markmixer = markov.Markov(chunks)

out = markmixer.generate_markov_text()

o.write(out)
o.close()

